Skip to navigation

How to activate an elastic template

View as Markdown

This topic describes how to use Docusign Click to activate a new elastic template that you have already created. By default, new elastic templates are inactive. You must activate your elastic template before you can use it.

Run this code example from our Quickstart or launcher projects: Bash, C#, Java, Node.js, PHP, PowerShell, Python, or Ruby.

Required data

Running the code in this how-to requires this data:

Data elementDescription
{API_ACCOUNT_ID}A GUID value that identifies your account. This value is automatically generated by Docusign for any account you create. Copy the value from the API Account ID field on the Apps and Keys page.
{BASE_PATH}A string value that forms the root of the URL required to make API calls. The base path value in the example code is set to target the developer environment at
https://<domain>/clickapi
Where <domain> is demo.docusign.net for the developer environment and is the result of the GetUserInfo call in production.
{CLICKWRAP_ID}A GUID value that identifies an individual elastic template. You can obtain this value by following the steps in How to get a list of elastic templates.
{VERSION_NUMBER}This value specifies the version of the elastic template to activate. To activate a new elastic template, use the versionNumber value 1.

Step 1. Obtain your OAuth token

To make the API call shown in this how-to, you need a valid OAuth access token. Docusign supports access tokens for three different recommended OAuth grant types: Public Authorization Code Grant, Confidential Authorization Code Grant, and JSON Web Token (JWT) Grant. Choose the OAuth grant type appropriate for your scenario.

See Authentication for guidance on your options to get an OAuth token.

Three icons that represent the three methods a user can use to obtain an OAuth token: JSON Web Token (JWT), Public Authorization Code Grant (ACG), and Confidential Authorization Code grant

Step 2. Construct your API headers

After you have a valid OAuth access token, you are ready to construct the API headers that you will pass to the API call. Construct your headers like this, but make sure to substitute your valid OAuth access token for {ACCESS_TOKEN}.

declare -a Headers=('--header' "Authorization: Bearer ${ACCESS_TOKEN}"
'--header' "Content-Type: application/json"
'--header' "Accept: application/json")

Step 3. Construct the request body

Next, create the request body. Set the value of the status property to active. This is the only value you need to specify in the request body. Example:

{
"status": "active"
}
printf \
'{
"status" : "active"
}' >$request_data

Step 4. Call the Click API

Now that you have constructed your API headers and request body, make a PUT request to the ClickWraps:updateClickwrapVersion method to activate the elastic template for your account. Here’s how you make the call, but make sure to substitute your API Account ID for {ACCOUNT_ID} and the elastic template ID for {CLICKWRAP_ID}.

Note: For compatibility with previous versions of the Click API, elastic templates use clickwrap endpoints.

View the source code for this how-to on GitHub: Bash, C#, Java, Node.js, PHP, PowerShell, Python, Ruby.

curl --request PUT https://demo.docusign.net/clickapi/v1/accounts/${account_id}/clickwraps/${clickwrap_id}/versions/${VersionNumber} \
"${Headers[@]}" \
--data-binary @${request_data} \
--output ${response}

Expected response

If you run this code example from our Quickstart or launcher projects, you should see a JSON response similar to the code shown.

Sample response
{
"accountId": "a56df5fc-xxxx-xxxx-xxxx-f64dc8ab421e",
"clickwrapId": "66a85a21-xxxx-xxxx-xxxx-6f9dd48c8483",
"clickwrapName": "Terms of Service",
"versionId": "f19f1935-xxxx-xxxx-xxxx-fe8d93d78815",
"versionNumber": 1,
"status": "active",
"createdTime": "2020-08-03T18:20:35.7848896Z",
"lastModified": "2020-08-04T18:06:23.4715478Z",
"lastModifiedBy": "c1c4ca80-xxxx-xxxx-xxxx-32a3a9b13925",
"requireReacceptance": true,
"ownerUserId": "c1c4ca80-xxxx-xxxx-xxxx-32a3a9b13925"
}

Next steps